Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class AddException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.search.SearchBaseException
                      com.google.appengine.api.search.AddException

All Implemented Interfaces:
  java.io.Serializable

    public class AddException

extends SearchBaseException

Thrown to indicate that a search service failure occurred while adding objects to the index.

See Also:
  Serialized Form

Constructor Summary
`AddException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service when adding some objects to the index.
`AddException(OperationResult operationResult, java.util.List<OperationResult> results, java.util.List<java.lang.String> documentIds)` Constructs an exception when some error occurred in the search service when adding some objects to the index.

Method Summary
`java.util.List<java.lang.String>` | `getIds()`
`java.util.List<OperationResult>` | `getResults()`

Methods inherited from class com.google.appengine.api.search.SearchBaseException
`getOperationResult`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddException

    public AddException(OperationResult operationResult)

  Constructs an exception when some error occurred in the search service when adding some objects to the index.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure

### AddException

    public AddException(OperationResult operationResult,
                        java.util.List<OperationResult> results,
                        java.util.List<java.lang.String> documentIds)

  Constructs an exception when some error occurred in the search service when adding some objects to the index.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure
    `results` - the list of `OperationResult` where each result is associated with an object that was requested to be added to the index
    `documentIds` - the list of Ids of the object requested to be added to the index. The search service may provide an Id if none was given for an object

Method Detail

### getResults

    public java.util.List<OperationResult> getResults()

  Returns:
    the list of `OperationResult` where each result is associated with a request to be add to the index

### getIds

    public java.util.List<java.lang.String> getIds()

  Returns:
    the list of Ids of objects that were requested to be added to the index

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD